﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Threading;
using System.Collections.ObjectModel;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            DispatcherTimer timer = new DispatcherTimer();
            timer.Tick += timer_Tick;
            timer.Interval = TimeSpan.FromMilliseconds(500);
            CreateData();
            this.chart1.ItemsSource = data;
            timer.Start();
        }

        ObservableCollection<double> data = new ObservableCollection<double>();
        Random r = new Random();

        private void CreateData()
        {
            for (int i = 0; i < 250; i++)
            {
                data.Add(r.Next(0, 100));
            }
        }

        private void timer_Tick(object sender, EventArgs e)
        {
            data.RemoveAt(0);
            data.Add(r.Next(0, 100));
        }
    }
}
